(in-package #:asdf-user)

(defsystem :scopes-web
  :author "cyberconcepts.org Team <team@cyberconcepts.org>"
  :license "MIT"
  :version "0.0.1"
  :homepage "https://www.cyberconcepts.org"
  :description "Web client and server functionality."
  :depends-on (:alexandria :clack :com.inuoe.jzon :dexador :lack :log4cl :str
               :scopes-core)
  :components ((:file "web/client")
               (:file "web/server")
               (:file "util")
               (:file "testing" :depends-on ("util"))
               (:file "test/test-web" 
                      :depends-on ("testing" "web/client" "web/server")))
  :long-description "scopes/web: Web server and web/API/REST client."
  :in-order-to ((test-op (test-op "scopes-web/test"))))

(defsystem :scopes-web/test
  :depends-on (:scopes-web)
  :components ((:file "test/test-web"))
  :perform (test-op (o c) 
    (symbol-call :scopes/test-web :run)))
